curl -X GET "https://api.nedzo.ai/v1/workspaces" \
-H "Authorization: Bearer YOUR_API_KEY"
[
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"accountId": "789e4567-e89b-12d3-a456-426614174000",
"name": "My Workspace",
"description": "Main workspace",
"timezone": "America/New_York",
"createdAt": "2024-01-15T10:30:00Z",
"updatedAt": "2024-01-15T10:30:00Z"
}
]
Workspaces
List workspaces
Retrieve all workspaces accessible to your API key via the Nedzo REST API. Returns workspace IDs, names, and metadata for scoped keys.
GET
/
workspaces
curl -X GET "https://api.nedzo.ai/v1/workspaces" \
-H "Authorization: Bearer YOUR_API_KEY"
[
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"accountId": "789e4567-e89b-12d3-a456-426614174000",
"name": "My Workspace",
"description": "Main workspace",
"timezone": "America/New_York",
"createdAt": "2024-01-15T10:30:00Z",
"updatedAt": "2024-01-15T10:30:00Z"
}
]
curl -X GET "https://api.nedzo.ai/v1/workspaces" \
-H "Authorization: Bearer YOUR_API_KEY"
[
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"accountId": "789e4567-e89b-12d3-a456-426614174000",
"name": "My Workspace",
"description": "Main workspace",
"timezone": "America/New_York",
"createdAt": "2024-01-15T10:30:00Z",
"updatedAt": "2024-01-15T10:30:00Z"
}
]
Was this page helpful?
⌘I
